from PyQt5 import QtCore

from gui.ivcviewer import IvcViewer


__all__ = ["EmbeddedIvcViewer"]


class EmbeddedIvcViewer(IvcViewer):
    screenshot_requested = QtCore.pyqtSignal()

    def mouseDoubleClickEvent(self, event) -> None:
        self.screenshot_requested.emit()
        super().mouseDoubleClickEvent(event)
